<?php

/**
 *
 * Plugin Name: WP Skin @ Home
 * Plugin URI: http://embat.es
 * Description: [TESTING] A plugin that allow you to put a banner (skin, with an image and a link) behind the #wraper in your home page
 * Version: 1.0
 * Author: Joan Ballester @joanballester (Embat @embat_es)
 * Author URI: http://embat.es
 *
 **/

add_action( 'admin_menu', 'wp_skinhome' );

add_action('wp_enqueue_scripts','wp_skinhome_home');

function wp_skinhome_home(){
    if(is_home()){
        global $table_prefix;
        $dbh = new wpdb( DB_USER, DB_PASSWORD, DB_NAME, DB_HOST );
        $table = $table_prefix.'options';
        $query_link = "SELECT option_value FROM $table WHERE option_name = 'wp_skin_link'";
        $query_title = "SELECT option_value FROM $table WHERE option_name = 'wp_skin_title'";
        $query_image = "SELECT option_value FROM $table WHERE option_name = 'wp_skin_image'";
        $res_link = $dbh->get_results( $query_link );
        $res_title = $dbh->get_results( $query_title );
        $res_image = $dbh->get_results( $query_image );
?>
    <a style="display:block;z-index:0;position:fixed;width:100%;height:100%;top:0;left:0" href="<?php echo $res_link[0]->option_value; ?>" title="<?php echo $res_title[0]->option_value; ?>" target="_blank" id="skinhome"><img src="<?php echo $res_image[0]->option_value; ?>" style="display:block;z-index:0;position:relative;margin:0 auto;width:100%;max-width:1600px;height:auto" /></a>
<?php
    }
}

function wp_skinhome() {
    add_options_page( 'Opciones WP Skin @ Home', 'Wp Skin @ Home', 'manage_options', 'wp_skinhome', 'wp_skinhome_options' );
}

function wp_skinhome_options() {

    if (!current_user_can('manage_options'))
    {
        wp_die( __('Pequeño padawan... debes utilizar la fuerza para entrar aquí.') );
    }

    $opt_name = 'wp_skin_image';
    $opt_name_2 = 'wp_skin_link';
    $opt_name_3 = 'wp_skin_title';
    $hidden_field_name = 'wp_skin_image_hidden';
    $hidden_field_name_2 = 'wp_skin_link_hidden';
    $hidden_field_name_3 = 'wp_skin_title_hidden';
    $data_field_name = 'wp_skin_image';
    $data_field_name_2 = 'wp_skin_link';
    $data_field_name_3 = 'wp_skin_title';
    $opt_val = get_option( $opt_name );
    $opt_val_2 = get_option( $opt_name_2 );
    $opt_val_3 = get_option( $opt_name_3 );

    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'ruta_hidden'  && isset($_POST[ $hidden_field_name_2 ]) && $_POST[ $hidden_field_name_2 ] == 'link_hidden' && isset($_POST[ $hidden_field_name_3 ]) && $_POST[ $hidden_field_name_3 ] == 'title_hidden') {
        $opt_val = $_POST[ $data_field_name ];
        $opt_val_2 = $_POST[ $data_field_name_2 ];
        $opt_val_3 = $_POST[ $data_field_name_3 ];
        update_option( $opt_name, $opt_val );
        update_option( $opt_name_2, $opt_val_2 );
        update_option( $opt_name_3, $opt_val_3 );
        ?>
            <div class="updated">
                <p>
                    <strong>
                        <?php _e('settings saved.', 'wp_skinhome_menu' ); ?>
                    </strong>
                </p>
            </div>
        <?php
    }

    echo '<div class="wrap">';

    echo "<h2>" . __( 'WP Skin @ Home', 'wp_skinhome_menu' ) . "</h2>";

    ?>

    <form name="form1" method="post" action="">
        <input type="hidden" name="<?php echo $hidden_field_name; ?>" value="ruta_hidden">
        <input type="hidden" name="<?php echo $hidden_field_name_2; ?>" value="link_hidden">
        <input type="hidden" name="<?php echo $hidden_field_name_3; ?>" value="title_hidden">
        <p>
            <?php _e("Ruta del skin: ", 'wp_skinhome_menu' ); ?>
            <input type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $opt_val; ?>" size="60">
        </p>
        <p>
            <?php _e("Link del skin: ", 'wp_skinhome_menu' ); ?>
            <input type="text" name="<?php echo $data_field_name_2; ?>" value="<?php echo $opt_val_2; ?>" size="60">
            <?php _e("(no olvidar 'href://' delante)", 'wp_skinhome_menu' ); ?>
        </p>
        <p>
            <?php _e("Título skin: ", 'wp_skinhome_menu' ); ?>
            <input type="text" name="<?php echo $data_field_name_3; ?>" value="<?php echo $opt_val_3; ?>" size="60">
        </p>
        <p class="submit">
            <input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
        </p>
    </form>
</div>

<?php

}
